/*
 * JPLOT  -- Java Plotting Interface for any programme or
 *           as an independent GUI
 * 
 * Copyright (C) 1999 Jan van der Lee
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA.
 *
 * Send bugs, suggestions or queries to <jplot@cig.ensmp.fr>
 * The latest releases are found at 
 * http://www.cig.ensmp.fr/~vanderlee/jplot.html
 *
 * Initally developed for use by the Centre d'Informatique Geologique 
 * Ecole des Mines de Paris, Fontainebleau, France.
 */

package jplot;

import javax.swing.*;
import javax.swing.border.*;
import javax.swing.event.*;
import javax.swing.text.*;
import java.awt.*;
import java.awt.image.*;
import java.awt.event.*;
import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;
import java.io.Serializable;

/**
 * A customized preview panel for the color chooser.
 *
 * @author J. van der Lee
 * @see JColorChooser
 */
public class ColorPreview extends JPanel {

  Dimension window;
  
  public ColorPreview() {
    window = new Dimension(70,40);
  }

  public Dimension getPreferredSize() {
    return window;
  }

  public void paintComponent(Graphics g) {
    g.setColor(Color.black);
    g.drawLine(0,0,window.width-1,0);
    g.drawLine(0,0,0,window.height-1);
    g.setColor(Color.white);
    g.drawLine(window.width-1,0,window.width-1,window.height-1);
    g.drawLine(window.width-1,window.height-1,0,window.height-1);
    g.setColor(getForeground());
    g.fillRect(1,1,window.width-1,window.height-1);
  }
}
