/*
 * JPLOT  -- Java Plotting Interface for any programme or
 *           as an independent GUI
 * 
 * Copyright (C) 1999 Jan van der Lee
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA.
 *
 * Send bugs, suggestions or queries to <jplot@cig.ensmp.fr>
 * The latest releases are found at 
 * http://www.cig.ensmp.fr/~vanderlee/jplot.html
 *
 * Initally developed for use by the Centre d'Informatique Geologique 
 * Ecole des Mines de Paris, Fontainebleau, France.
 */

package jplot;

import java.awt.*;
import java.util.*;
import javax.swing.*;
import java.awt.event.*;
import javax.swing.border.*;

class SmallColorPreview extends JPanel {
  protected Dimension panelSize;
  protected Color selectedColor;
  int height, width;
  
  public SmallColorPreview(Color c, int width, int height) {
    if (c != null) selectedColor = c;
    else selectedColor = Color.black;
    setRequestFocusEnabled(false);
    this.width = width;
    this.height = height;
  }
  
  /**
   * Color the canvas and add some decoration (shadow).
   */
  public void paintComponent(Graphics g) {
    g.setColor(selectedColor);
    g.fillRect(0,0,width,height);
    g.setColor(Color.white);
    g.drawLine(0,height-1,width-1,height-1);
    g.drawLine(width-1,0,width-1,height-1);
    g.setColor(Color.black);
    g.drawLine(0,0,width-1,0);
    g.drawLine(0,0,0,height-1);
  }
  
  public Dimension getPreferredSize() {
    return new Dimension(width,height);
  }
  
  public void setColor(Color c) {
    selectedColor = c;
    repaint();
  }

  public Color getColor() {
    return selectedColor;
  }
}
