/*
 * Class defining a small toggle button
 * 
 * Copyright stuff goes here.
 */

package jplot;

import javax.swing.*;
import javax.swing.event.*;
import javax.swing.border.*;
import java.io.*;

import java.awt.event.*;
import java.awt.*;

/**
 * Class small button displays a toggle button in the new 'window' style,
 * i.e., pressed lesses the button in a 'lowered' state, else it
 * remains raised.
 */
public class SmallToggleButton extends JToggleButton implements ItemListener {

  protected Border raised;
  protected Border lowered;

  /**
   * Principal constructor, builds the button with a specific
   * action and a tool tip.
   * @param action action performed when pressing
   * @param tip tool tip
   */
  public SmallToggleButton(boolean selected, ImageIcon imgUnselected,
			   ImageIcon imgSelected, String tip) {
    super(imgUnselected,selected);
    setHorizontalAlignment(CENTER);
    setBorderPainted(true);
    raised = new BevelBorder(BevelBorder.RAISED);
    lowered = new BevelBorder(BevelBorder.LOWERED);
    setBorder(selected? lowered : raised);
    setMargin(new Insets(1,1,1,1));
    setToolTipText(tip);
    addItemListener(this);
    setSelectedIcon(imgSelected);
    setRequestFocusEnabled(false);
  }

  public float getAlignmentY() {
    return 0.5f;
  }

  public void itemStateChanged(ItemEvent e) {
    setBorder(isSelected()? lowered : raised);
  }
}
